org.springframework.cache

## Interface CacheManager

- All Known Implementing Classes:
    AbstractCacheManager, AbstractTransactionSupportingCacheManager, CompositeCacheManager, ConcurrentMapCacheManager, EhCacheCacheManager, JCacheCacheManager, NoOpCacheManager, SimpleCacheManager, TransactionAwareCacheManagerProxy

      public interface CacheManager

  A manager for a set of `Cache`s.
  Since:
    3.1
  Author:
    Costin Leau

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cache` | `getCache(String name)` Return the cache associated with the given name.
    `Collection<String>` | `getCacheNames()` Return a collection of the caches known by this cache manager.

- - ### Method Detail

    - #### getCache

          Cache getCache(String name)

      Return the cache associated with the given name.
      Parameters:
        `name` - cache identifier (must not be `null`)
      Returns:
        associated cache, or `null` if none is found

    - #### getCacheNames

          Collection<String> getCacheNames()

      Return a collection of the caches known by this cache manager.
      Returns:
        names of caches known by the cache manager.